Version 6.x.x Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---

### Controller

#### erpnext.setup.doctype.authorization_control.authorization_control

### Class AuthorizationControl

Inherits from erpnext.utilities.transaction_base.TransactionBase

bifurcate_based_on_type (self, doctype_name, total, av_dis, based_on, doc_obj, val, company)

No docs

get_appr_user_role (self, det, doctype_name, total, based_on, condition, item, company)

No docs

get_approver_name (self, doctype_name, total, doc_obj=)

No docs

get_value_based_rule (self, doctype_name, employee, total_claimed_amount, company)

No docs

validate_approving_authority (self, doctype_name, company, total, doc_obj=)

No docs

validate_auth_rule (self, doctype_name, total, based_on, cond, company, item=)

No docs